Skip to main content
PATCH
Edit Proxy User

Authorizations

X-API-Private-Key
string
header
required

Private API key for user-level authentication.

X-API-Public-Key
string
header
required

Public API key for user-level authentication.

Headers

Content-Type
string
default:application/json
required

Content type for the request body as application/json.

Path Parameters

proxy_user_id
string
required

ID of the proxy user record to edit.

Body

application/json

The Proxy User details to be edited.

clear_proxy_user_acl
boolean

When changing access_type, set to True to clear all existing ProxyUserAcl entries. Required when changing to "all" if ACLs exist. Optional for other access_type changes.

ip_address_authentications
string[]

A list of valid IP addresses authenticated for this Proxy User.

Example:
proxy_user_access_type
enum<string>

Access control type for the proxy user:

  • "all": Unrestricted access
  • "service_restricted": Access restricted by ProxyUserAcl service entries
  • "proxy_restricted": Access restricted by ProxyUserAcl proxy entries

Note: Default proxy users (proxy_user_is_default=true) must always have access_type "all" and cannot be changed to restricted access types.

Available options:
all,
service_restricted,
proxy_restricted
proxy_user_enforce_https
boolean

If true, this Proxy User can only access targets on port 443 (HTTPS). This is useful for enforcing secure connections.

Example:

false

proxy_user_is_strict_security
boolean

Enable or disable strict security for the Proxy User.

Example:

false

proxy_user_metadata
object

Arbitrary metadata object associated with the Proxy User. Constraints

  • Supports string, boolean, float and integer values.
  • Must be a non-nested JSON object.
  • Maximum 30 keys.
  • Each value's string representation ≤ 300 characters.
  • Total size ≤ 32KB.
Example:
proxy_user_mobile_bytes_limit
integer

The mobile bytes limit for the Proxy User (must be ≥ current usage).

Example:

1000000

proxy_user_password
string

The new password for the Proxy User. Must be alphanumeric, 10 to 32 characters.

Example:

"newPass1241233"

proxy_user_residential_bytes_limit
integer

The residential bytes limit for the Proxy User (must be ≥ current usage).

Example:

1000000

tcp_fingerprint_label
string

The name of the TCP fingerprint label to apply to the Proxy User (for example windows, linux or macos). Must match an existing TCP fingerprint label. Set to null to remove the label.

Example:

"windows"

Response

200 - application/json

Proxy User Successfully Edited

edited
string[]

List of Proxy User IDs that were successfully edited.

The Proxy User ID.

Example:
message
string

Success message indicating the Proxy User was edited.

Example:

"Proxy User successfully edited."

proxy_user_acl_deleted
string[]

List of ProxyUserAcl IDs that were deleted during the edit operation (when access_type is set to "all").

The ProxyUserAcl ID.

Example: